Subject: Re: Updated Tcl Tk and Tix
From: Nicholas Wourms <[email-masked]>
To: Mumit Khan <[email-masked]>, Mike Clarkson <[email-masked]>
Cc: [email-masked]
Date: Fri, 7 Jun 2002 16:14:42 -0700 (PDT)

> 
> Someone will have to build and maintain the packages, and so far the
> few people who I had asked have declined. Anyone?
> 
> In case someone is willing to contribute the packages with updated
> Tcl/Tk/BLT/Tix/etc, I should point out that there are quite a few
> differences from Cygwin Tcl/Tk tree:
> 
> 1. The DLLs/executables don't have cyg prefix.
> 
> 2. I haven't made some of the path related modifications that Cygwin
> (basically the former Cygnus tree) makes such as installing the Tcl/Tk
> files into datadir instead of stock Tcl's libdir.
> 
> 3. None of the dejagnu tests are in my tree.
> 
> 4. Various other infrastructure items that are normally in Cygnus
> tree.
> 
> 5. Various changes to defaults such as fonts etc (lots of it in Tix)
> that are specific to Cygnus tree.
> 
> My goal is minimum deviation from release trees.
> 
Mumit,

Chuck and I were just discussing this and we came up with some
observations:

1)This package is way to big for one person to do alone.  I'm sure someone
might me more receptive to the idea if you were still involved (which
isn't clear from your message as to whether you would be).

2)It probably would be best to wait until the new gcc-3.1 and binutils
release comes out (any day now?).

3)The big question: right now (and in the future) the cygwin tk/tcl build
will be mingw-ish (native windowing, not X windowing). Red Hat won't want
to force its GNUpro customers to use a Xserver just to run gdb.  So, what
*we* -- the net users -- really want is TWO tk/tcl's:  one that uses
mingw/w32api, and another one that uses posix api/paths and whose tk uses
X11R6.

4)This will take a lot of time, discussion, planning, and implementation.

I'd be willing to help, but unfortunately I have a few other projects on
my plate, so there is no way I want to tackle that by myself, though I
suspect that #3 could be fixed by removing os-centric defines and
replacing with feature-centric defines (eg. -DUSE_POSIX_PATHS).  Chuck
suggested not to stir up discussion on this, so until #2 is satisfied,
I'll leave it at that.

Cheers,
Nicholas

__________________________________________________
Do You Yahoo!?
Yahoo! - Official partner of 2002 FIFA World Cup
http://fifaworldcup.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/